/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmDocumentation;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmDocumentationRecord extends UpdatableRecordImpl<TDmDocumentationRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_documentation.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_documentation.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_documentation.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_documentation.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_documentation.study</code>. foreign key
     * to study id
     */
    public void setStudy(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_documentation.study</code>. foreign key
     * to study id
     */
    public Integer getStudy() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_documentation.dd_group</code>. DD group
     */
    public void setDdGroup(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_documentation.dd_group</code>. DD group
     */
    public String getDdGroup() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_dm_documentation.path</code>.
     */
    public void setPath(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_documentation.path</code>.
     */
    public String getPath() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.t_dm_documentation.filename</code>.
     */
    public void setFilename(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_documentation.filename</code>.
     */
    public String getFilename() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.t_dm_documentation.version</code>. version
     * number of the document
     */
    public void setVersion(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_documentation.version</code>. version
     * number of the document
     */
    public String getVersion() {
        return (String) get(6);
    }

    /**
     * Setter for <code>common_dd.t_dm_documentation.responsible</code>. foreign
     * key to usnr
     */
    public void setResponsible(Integer value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_documentation.responsible</code>. foreign
     * key to usnr
     */
    public Integer getResponsible() {
        return (Integer) get(7);
    }

    /**
     * Setter for <code>common_dd.t_dm_documentation.release_date</code>.
     * release date of the document
     */
    public void setReleaseDate(LocalDateTime value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_documentation.release_date</code>.
     * release date of the document
     */
    public LocalDateTime getReleaseDate() {
        return (LocalDateTime) get(8);
    }

    /**
     * Setter for <code>common_dd.t_dm_documentation.status</code>. 0 - archive,
     * 1 = productive
     */
    public void setStatus(Integer value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_documentation.status</code>. 0 - archive,
     * 1 = productive
     */
    public Integer getStatus() {
        return (Integer) get(9);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmDocumentationRecord
     */
    public TDmDocumentationRecord() {
        super(TDmDocumentation.T_DM_DOCUMENTATION);
    }

    /**
     * Create a detached, initialised TDmDocumentationRecord
     */
    public TDmDocumentationRecord(LocalDateTime lastchange, Integer pk, Integer study, String ddGroup, String path, String filename, String version, Integer responsible, LocalDateTime releaseDate, Integer status) {
        super(TDmDocumentation.T_DM_DOCUMENTATION);

        setLastchange(lastchange);
        setPk(pk);
        setStudy(study);
        setDdGroup(ddGroup);
        setPath(path);
        setFilename(filename);
        setVersion(version);
        setResponsible(responsible);
        setReleaseDate(releaseDate);
        setStatus(status);
        resetChangedOnNotNull();
    }
}
